2004-10-10  <petere78@users.sourceforge.net>

	* dbadmon.dsl: Fix for bug #522140: Keep admonition titles and contents together when
	graphics are used.

	* dbcallou.dsl: Synchronized $callout-verbatim-display$ with $verbatim-display$; fixes
	bug #517520 (callout ignores width of programlisting)

	* dbttlpg.dsl: Give othercredit some useful rendering in print output, by copying over the
	author rendering.  Fix author-list-string for authorgroups that contain
	both authors and othercredits.  (bug #1038081)

2004-10-09  <petere78@users.sourceforge.net>

	* dbprint.dsl, dbverb.dsl: Patch #571688: Fixes excessive after spacing when a listitem contains
	multiple paras or verbatim environments.  Patches originally by Tim Waugh
	and Tammy Fox.

	* docbook.dsl: New Bulgarian translation by Viktor Vasilev (SF patch #1040075)

2004-09-17  <petere78@users.sourceforge.net>

	* docbook.dsl: Bosnian translation by Kemal Skripic

2004-09-14  <petere78@users.sourceforge.net>

	* dbblock.dsl: Fix for bug #502066: Empty ulinks don't generate footnotes, so they should
	be omitted from the footnote counting.  Patch by Bruce A. Mah.

	* dbprint.dsl: Fix for bug #529969: Make italic monospace and strong monospace inherit
	verbatim-size-factor.  Patch by David Aumueller.

2004-07-11  <nyraghu@users.sourceforge.net>

	* version.dsl: Closes Bug 912831: the last character of VERSION was being cut off.

2003-12-05  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbdivis.dsl: fix a bug when multiple elements in $generate-book-lot-list$ had content; whitespace and comment updates

2003-04-29  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbcompon.dsl: Finding the subtitle for a component should use the parent title if
	set; this is consistent with how the title is already set;
	closes SF bug 613773.

	* dbcompon.dsl: Suppress some cases where components were restarting page numbering,
	fix from Ian Castle; closes SF bug 439751.

	* dbparam.dsl: Correct reference to undefined variable
	"admon-graphic-default-extension".

	* dbttlpg.dsl: Add elements to print version of article-titlepage-recto-elements so
	that it matches the HTML version, fixes SF bug 626909.

2003-04-26  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbparam.dsl: rename parameter admon-graphic-default-extension to
	%admon-graphics-extension% for consistency

	* dbparam.dsl: Note that %admon-graphics-path% requires the trailing directory separator
	 --

	* dbparam.dsl: %admon-graphics-extension% will use the old name,
	admon-graphic-default-extension, if set

2003-03-25  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* db31.dsl, dbblock.dsl, dbcompon.dsl, dbgraph.dsl, dbinline.dsl, dbqanda.dsl, dbsect.dsl, docbook.dsl: 
	move data from db31 into its proper component files

2003-03-24  Jirka Kosek <kosek@users.sourceforge.net>

	* dbttlpg.dsl: Added support for revdescription inside revison on titlepages

2003-03-21  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* Makefile: Don't hardcode DSSSL file list, use $(wildcard *.dsl); clean is cleaner

2003-02-17  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbblock.dsl, dbtitle.dsl: More cases where process-children-trim should be used.

	* dbcompon.dsl: Add some comments in the ARTICLE element.

	* dblists.dsl: In process-listitem-content replace (process-node-list (children
	(current-node))) with (process-children-trim) -- we need to be
	trimming whitespace.  Some retabbing.

	* dbprint.dsl: $paragraph$ should use (process-children-trim); this fixes a space
	indent in RTF output on all PARAs marked up like:
	   <para>
	Content ...

	* dbtable.dsl: Remove the %cals-cell-before-column-margin% hack for TeX backend, it's
	not needed anymore.

2003-02-13  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbblock.dsl: element footnote/para uses default-text-style; set lines: wrap for the
	case of endnotes within verbatim 'asis' environments, but it doesn't
	seem to actually help (cf test programlisting.004)

2003-02-07  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbttlpg.dsl: some space over copyright; fixes Bug #542681

2003-01-21  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbparam.dsl: correct discussion of possible settings for %paper-type% and %visual-acuity%

2003-01-15  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbadmon.dsl, dbautoc.dsl, dbblock.dsl, dbcallou.dsl, dbdivis.dsl, dbefsyn.dsl, dbgloss.dsl, dbgraph.dsl, dbindex.dsl, dbinfo.dsl, dbinline.dsl, dblink.dsl, dblists.dsl, dblot.dsl, dbmath.dsl, dbmsgset.dsl, dbprint.dsl, dbprocdr.dsl, dbrfntry.dsl, dbsect.dsl, dbsynop.dsl, dbtable.dsl, dbtitle.dsl, dbverb.dsl, docbook.dsl, notoc.dsl, plain.dsl: 
	update docbook URL to http://docbook.sourceforge.net/projects/dsssl/;
	N.B.: credit for the group option and repeating goes to John Daily

	* dbblock.dsl, dbparam.dsl: parameters for %formal-object-title-font-weight%
	%table-title-font-weight%, reviewed and tested, sourceforge patch #599366

	* dblink.dsl: xref to varlistentry using the term, patch from Jens Emmerich; closes
	bug 520561

	* dbsect.dsl: make <section> appear correctly in the PDF bookmark hierarchy; also
	fix font size selection for section titles
	
	corrects sourceforge bugs 589247 and 524028; patch from Carsten Haese
	appreciated

	* dbsynop.dsl: Patch #562401 <group choice="opt" rep="repeat">, elipsis should be
	outside of group, reference test cmdsynopsis.003

2002-12-16  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* dbblock.dsl, dbparam.dsl: %epigraph-start-indent% and %epigraph-end-indent% parameters allows
	customization of epigraph positioning; %blockquote-start-indent% and
	%blockquote-end-indent% parameters allows customization control of the
	blockquote positioning

2002-08-08  Adam Di Carlo <adicarlo@users.sourceforge.net>

	* Makefile: clean rule

2002-06-29  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbblock.dsl: Patch #473114: Footnote inherit font family

2002-06-09  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbbibl.dsl, dbttlpg.dsl: Fix bug #502337: remove 'by' from copyright statements

2002-05-22  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbblock.dsl: Support attribution on blockquote

	* dbinfo.dsl: Support chapterinfo, prefaceinfo, and appendixinfo

2002-05-12  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbttlpg.dsl: Bug #494693: bad formalpara formatting on title pages

	* dbverb.dsl: Bugs #429663 and #474328 fixed (allow external linespecific content to be indented and numbered). Eight bit or unicode external linespecific content may be problematic though.

2002-05-09  Norman Walsh <nwalsh@users.sourceforge.net>

	* dblink.dsl: Allow xref to refnamediv

	* dblists.dsl: Bug #469318: fix variablelist indents

2002-04-29  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbefsyn.dsl, dbverb.dsl: Format synopsis elements correctly outside of classsynopsis

2002-03-21  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbautoc.dsl: Find titles in any context

2002-03-20  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbefsyn.dsl: Support freestanding {method,field,constructor,destructor}synopsis

2002-02-20  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbblock.dsl: Bug #429331: center figure title if image is centered

2002-02-11  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbdivis.dsl, dbttlpg.dsl: Patch #502637: avoid blank page between title page recto/verso

	* dbsect.dsl: Add section-info function

2001-12-01  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbindex.dsl: Patch #468644: Fix font sizes in index

	* dbprint.dsl: Bug #465133: Insufficient conditions on is-first-para

	* dbttlpg.dsl: Bug #465136: Verso authorgroup broken for editors--still broken but a little better

	* dbttlpg.dsl: Patch #470589: Abstracts indents should be relative

2001-11-30  Norman Walsh <nwalsh@users.sourceforge.net>

	* dblink.dsl: Patch #473113: No footnote ulink when text matches

	* dbsect.dsl: Patch #473116: Section levels

	* dbttlpg.dsl: Patch #473115: Heading levels for parts

	* docbook.dsl: Fix typo that causes the print stylesheet to break.

	* docbook.dsl: New file.

2001-11-27  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbgloss.dsl, dbindex.dsl: Attempt to handle glossary and index in article correctly

2001-11-14  Norman Walsh <nwalsh@users.sourceforge.net>

	* docbook.dsl: branches:  1.5.2;
	Added Basque, Nynorsk, Ukranian, and Xhosa

2001-11-03  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbinline.dsl: Support pubwork=article on citetitle

2001-10-13  Jirka Kosek <kosek@users.sourceforge.net>

	* dbinline.dsl: Fixed bug #470840 - added support for methodname.

2001-10-01  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbverb.dsl: Support linenumbering attribute on verbatim environments

2001-09-29  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbadmon.dsl: Bug #449775: remove broken keep-with-next properties

	* dbcallou.dsl: Bug #449494: make callouts work even if they appear on the last line of a verbatim environment

2001-09-23  Norman Walsh <nwalsh@users.sourceforge.net>

	* dblink.dsl: Patch #461352, fix bug with ulink-footnotes and bop-footnotes simultaneously

2001-08-30  Norman Walsh <nwalsh@users.sourceforge.net>

	* db31.dsl: Fix XML/SGML discrepancy wrt normalization of notation names; move some common stuff into dbcommon

2001-08-06  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbadmon.dsl: Patches #441806, keep with next in admonitions

	* dbinline.dsl: Support 'bold' and 'strong' roles on emphasis in the expected way, added %{emphasis,phrase}-propagates-style% parameters

	* docbook.dsl: Patches #439975, support OpenJade two-sided characteristics

2001-08-01  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbttlpg.dsl: Don't suppress keywordset if it's put on the title page

2001-07-07  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbdivis.dsl: Don't restart page numbering on ToC pages

	* notoc.dsl: Bug #439065, use correct parameters

2001-07-05  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbparam.dsl: Patch #420012, Add colon to content-title-end-punct

2001-07-04  <uid48421@users.sourceforge.net>

	* db31.dsl: Bug #426745, don't make first para of question and answer bold

	* dbblock.dsl: Bug #436220, fix table footnotes when bop-footnotes is #t

	* dbgloss.dsl, dblists.dsl, dbrfntry.dsl, dbtitle.dsl: 
	Bug #420015: set heading-level appropriately in glossary

	* dblists.dsl: Bug #418633, attempt to fix indentation in variablelists

	* docbook.dsl: Added Afrikaans and Turkish

2001-05-11  Norman Walsh <nwalsh@users.sourceforge.net>

	* docbook.dsl: Support Serbian and Traditional Chinese

2001-05-03  Jirka Kosek <kosek@users.sourceforge.net>

	* dbinline.dsl: Added support for class="xmlpi" and class="emptytag" in <sgmltag>.
	Element and attribute names displayed in monospace, same way as in HTML by XSL.

2001-04-27  Norman Walsh <nwalsh@users.sourceforge.net>

	* db31.dsl: Handle display? property correctly on imagedata graphics

2001-04-24  Norman Walsh <nwalsh@users.sourceforge.net>

	* db31.dsl: Bug #418474: only output a space after the qanda label if the label isn't empty

2001-04-21  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbautoc.dsl: Make top-level entries in the TOC 'keep-with-next'

2001-04-16  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbttlpg.dsl: Bug #414681: add heading-level to set and book titles

2001-04-15  Norman Walsh <nwalsh@users.sourceforge.net>

	* dbblock.dsl: Force upright posture and default quadding in footnote text

	* dblists.dsl: Format variablelist title in the table when a variablelist is formatted with a table

2001-04-04  Norman Walsh <nwalsh@users.sourceforge.net>

	* Makefile: New file.

2001-04-03  Norman Walsh <nwalsh@users.sourceforge.net>

	* db31.dsl: Fix bug 412548, allow WMF in media objects

2001-04-02  Norman Walsh <nwalsh@users.sourceforge.net>

	* .cvsignore, catalog, db31.dsl, dbadmon.dsl, dbautoc.dsl, dbbibl.dsl, dbblock.dsl, dbcallou.dsl, dbcompon.dsl, dbdivis.dsl, dbefsyn.dsl, dbgloss.dsl, dbgraph.dsl, dbindex.dsl, dbinfo.dsl, dbinline.dsl, dblink.dsl, dblists.dsl, dblot.dsl, dbmath.dsl, dbmsgset.dsl, dbparam.dsl, dbprint.dsl, dbprocdr.dsl, dbrfntry.dsl, dbsect.dsl, dbsynop.dsl, dbtable.dsl, dbtitle.dsl, dbttlpg.dsl, dbverb.dsl, docbook.dsl, notoc.dsl, plain.dsl, version.dsl: 
	Initial checkins

